class Api::AppearanceReleasesController < Api::ReleasesController
  deserializable_resource :appearance_release, only: [:create]

  def model_name
    "appearance_release"
  end

  def attributes_for_index
    [:person_name]
  end

  def handle_attachments(release, _)
    photo = release_create_params[:person_photo]
    photo[:io] = StringIO.new(Base64.decode64(photo[:io]))
    release.person_photo.attach(io: photo[:io], filename: photo[:filename])

    guardian_photo = release_create_params[:guardian_photo]
    if guardian_photo
      guardian_photo[:io] = StringIO.new(Base64.decode64(guardian_photo[:io]))
      release.guardian_photo.attach(io: guardian_photo[:io], filename: guardian_photo[:filename])
    end
  end
end
